Subject: Re: bug#56682: Fix the long lines font locking related slowdowns

From: Gregory Heytings <[email-masked]>
Date: Tue, 16 Aug 2022 10:26:32 +0000

>> Not if the whole buffer contains text which the major mode can't 
>> understand.  There are valid cases where a major mode needs to widen, 
>> indeed, but not when called from font-lock or from 
>> `indent-line-function`.
>
> `org-indent-line' (the value of `indent-line-function' in Org mode) does 
> require invoking parser in order to determine the syntactic object at 
> point, which, in turn, needs to consider the full buffer contents. This 
> is prescribed by Org syntax. We cannot avoid this.
>

Do you really mean that there is no way to avoid invoking the parser on 
the whole buffer, and to possibly process 20 MB of data, when 
org-indent-line is called?